EIGRPD(8)

NAME
eigrpd - Enhanced Interior Gateway Routing Protocol daemon

SYNOPSIS
eigrpd [-dnv] [-D macro=value] [-f file] [-s socket]

DESCRIPTION
eigrpd is an Enhanced Interior Gateway Routing Protocol (EIGRP) daemon which manages routing tables. EIGRP is a routing protocol based on Distance Vector technology.

To have eigrpd enabled at boot time, use “rcctl enable eigrpd”, which sets

    eigrpd_flags=""

in rc.conf.local(8).

A running eigrpd can be controlled with the eigrpctl(8) utility.

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize. If this option is specified, eigrpd will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-s socket
    Use an alternate location for the default control socket.

-v  Produce more verbose output.

FILES
/etc/eigrpd.conf
    Default eigrpd configuration file.
/var/run/eigrpd.sock
    UNIX-domain socket used for communication with eigrpctl(8).

SEE ALSO
eigrpd.conf(5), eigrpctl(8)

STANDARDS
Savage, et al., April 2014, draft-savage-eigrp-04, Enhanced Interior Gateway Routing Protocol.

HISTORY
The eigrpd program first appeared in OpenBSD 5.9.

AUTHORS
The eigrpd program was written by Renato Westphal <renato@openbsd.org>.